using System;

internal sealed class Delegate840 : MulticastDelegate
{
	public extern object Invoke(Type type_0);

	public static object smethod_0(Type type_0, Delegate840 delegate840_1)
	{
		return delegate840_1(type_0);
	}

	public extern Delegate840(object object_0, IntPtr intptr_0);

	static Delegate840()
	{
		Class10.smethod_13(typeof(Delegate840).TypeHandle);
	}

	internal static Delegate840 delegate840_0;
}
